// =====================================================================
//  $Id: TSystemAction.hh,v 1.1 2003/06/27 10:02:17 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __TSYSTEMACTION_HH
#define __TSYSTEMACTION_HH

#include "Tglobals.h"

class TRunManager;

class TSystemAction
{

  public:
    TSystemAction();
    virtual ~TSystemAction();

  public:
    virtual Tvoid BeginOfSystemAction( TRunManager* manager );
    virtual Tvoid EndOfSystemAction( TRunManager* manager );

};

#endif
